﻿using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IExaminationResultStorage
    {
        List<ExaminationResultViewModel> GetFullList();
        List<ExaminationResultViewModel> GetFilteredList(ExaminationResultSearchModel model);
        ExaminationResultViewModel? GetElement(ExaminationResultSearchModel model);
        ExaminationResultViewModel? Insert(ExaminationResultBindingModel model);
        ExaminationResultViewModel? Update(ExaminationResultBindingModel model);
        ExaminationResultViewModel? Delete(ExaminationResultBindingModel model);
    }
}
